Bug 2020451 - opam gets stuck on 'yum -q -C list' for minutes due to 'yum' asking for confirmation of gpg key [patch available]
Summary: opam gets stuck on 'yum -q -C list' for minutes due to 'yum' asking for confi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opam
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robin Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-04 22:17 UTC by Török Edwin
Modified: 2021-11-14 04:06 UTC (History)
2 users (show)

Fixed In Version: opam-2.1.1-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-14 04:06:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Török Edwin 2021-11-04 22:17:41 UTC
Description of problem:
Upstream bugreports:
https://github.com/ocaml/opam/issues/4888
https://github.com/ocaml/opam/pull/4790

Version-Release number of selected component (if applicable):
2.1.0

How reproducible:


Steps to Reproduce:
1. Add some custom repositories (e.g. follow Fedora instructions from https://vscodium.com/#install)
$ yum repolist
repo id                                                         repo name
fedora                                                          Fedora 35 - x86_64
fedora-cisco-openh264                                           Fedora 35 openh264 (From Cisco) - x86_64
gitlab.com_paulcarroty_vscodium_repo                            gitlab.com_paulcarroty_vscodium_repo
rpmfusion-free                                                  RPM Fusion for Fedora 35 - Free
rpmfusion-free-updates                                          RPM Fusion for Fedora 35 - Free - Updates
updates                                                         Fedora 35 - x86_64 - Updates

$ opam search foo

Actual results:
Takes minutes to provide result. strace shows it is stuck waiting on a pid, and that pid is running 'yum -q -C list'

Expected results:
'opam search foo' completes quickly


Additional info:
Patch available here: https://github.com/ocaml/opam/commit/78093ea4299fb7a50bb5d9e939f39b24bc5cacbe
New upstream release may be available soon
yum -q -C list
Importing GPG key 0x5A278D9C:
 Userid     : "Pavlo Rudyi <paulcarroty@riseup.net>"
 Fingerprint: 1302 DE60 2318 89FE 1EBA CADC 5467 8CF7 5A27 8D9C
 From       : https://gitlab.com/paulcarroty/vscodium-deb-rpm-repo/raw/master/pub.gpg
Is this ok [y/N]: 

'yum -y makecache' doesn't help, and neither does manually answering yes here (on next invocation it'll just ask again).
Upstream patch replaces 'yum' invocation with 'rpm -qa' invocation.

Comment 1 Fedora Update System 2021-11-06 16:01:13 UTC
FEDORA-2021-f7696ef94a has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f7696ef94a

Comment 2 Fedora Update System 2021-11-07 02:09:50 UTC
FEDORA-2021-f7696ef94a has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f7696ef94a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f7696ef94a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2021-11-14 04:06:54 UTC
FEDORA-2021-f7696ef94a has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.